/* xl - DESKTOP STYLES */
/*
@mixin basicBtnStyle01(
    $colorVersion: 'default', //color management 
    $transition: 'default',  // transtion duration 
    $fontSize: 'default',  // font size 
    $fontWeight: 'default', // font weight 
    $textTransform: 'default', // text transform 
    $letterSpacing: 'default', // letter spacing 
    $lineHeight: 'default', // line height 
    $borderRadius: 'default' //border radius
    ){
    
    // very basic btn full color 
        
    $borderRadiusDefault: 1px;      
        
    //// TRANSTION //// 
    @if($transition =='default'){
       @include transition01(.5s);
    }@else if($transition =='custom'){
  
    }@else if($transition =='none'){
          
    }@else{
       @include transition01($transition);
    }//if        
	//// END TRANSITION //// 

    //// FONT SIZE  //// 
    @if($fontSize == 'default'){
        font-size: inherit; 
    }@else {
        font-size: $fontSize +'px' !important; 
    }//@if               
    //// END FONT SIZE           
         
    ////  FONT WEIGHT CALC ////   
    @if($fontWeight == 'default'){
        //default: 400 / regular
        font-weight: 400 !important;
        
    }@else if($fontWeight == 100 ){
        // 100 / thin
        font-weight: 100 !important;
        
    }@else if($fontWeight == 300 ){
        // 300 / light
        font-weight: 300 !important;
        
    }@else if($fontWeight == 400 ){
        // 400 / regular
        font-weight: 400 !important;
        
    }@else if($fontWeight == 500 ){
        // 500 / medium
        font-weight: 500 !important; 
        
    }@else if($fontWeight == 600 ){
        // 600 / 
        font-weight: 600 !important; 
        
    }@else if($fontWeight == 700 ){
        // 700 / bold
        font-weight: 700 !important;   
        
    }@else if($fontWeight == 900 ){
        // 900 / black
        font-weight: 900 !important;        
                
    }@else {
        //default: 400 / regular 
        font-weight: 400 !important;
       
    }//@if  
    //// END FONT WEIGHT CALC ////     
        
    //// LETTER SPACING CALC ////
    @if($letterSpacing == 'default'){
 		// no letter spacing
        // letter-spacing: 0px !important 
        // letter-spacing: inherit !important; 
    }@else {
        // calculate letter spacing
        letter-spacing: $letterSpacing +'px' !important; 
    }//@if 
    //// END LETTER SPACING CALC ////     
        
    //// LINE HEIGHT CALC ////     
    @if($lineHeight == 'default'){
 		line-height: inherit !important;   
    }@else {
        // calculate line height
        line-height: $lineHeight !important; 
    }//@if  
    //// END LINE HEIGHT CALC ////         
        
     //// TEXT TRANSFORM SELECT ////   
     @if($textTransform == 'default'){
     //default
    }@else if($textTransform == 'uppercase' ){
        // uppercase
        text-transform: uppercase !important;        
    }@else if($textTransform == 'lowercase' ){
        // lowercase
        text-transform: lowercase !important;         
    }@else if($textTransform == 'capitalize' ){
        // capitalize
        text-transform: capitalize !important;          
    }@else {
        //default
    }//@if      
 	//// END TEXT TRANSFORM SELECT ////         

    //// BORDER RADIUS ////
    @if($borderRadius == 'default' ){ 
        $borderRadiusFinal: $borderRadiusDefault; 
    }@else{
        $borderRadiusFinal: $borderRadius +'px'; 
    }//@if        
    //// END BORDER RADIUS ////         
        
    background: rgba($ci01, 1) !important; 
    border-radius: $borderRadiusFinal !important;     
    border: 1px solid rgba($ci01, 1) !important; 
    //border: none !important; 
    opacity: 1 !important; 
    color: $textLight01 !important; 

    &::before{
        all: unset !important;     
    }//before
    &::after{
        all: unset !important;     
    }//after        
        
    &:hover{
        //background: transparent !important; 
        background: rgba($ci01, 1) !important; 
        //border: none !important; 
        border: 1px solid rgba($ci01, 1) !important; 
        opacity: .8 !important; 
        color: $textLight01 !important; 
        
        &::before{
            all: unset !important;     
        }//before
        &::after{
            all: unset !important;     
        }//after  
    }//hover  

}//basicBtnStyle01
*/
/*
@mixin basicBtnStyle02(
    $colorVersion: 'default', //color management 
    $transition: 'default',  // transtion duration 
    $fontSize: 'default',  // font size 
    $fontWeight: 'default', // font weight 
    $textTransform: 'default', // text transform 
    $letterSpacing: 'default', // letter spacing 
    $lineHeight: 'default', // line height 
    $borderWidth: 'default', //border width
    $borderRadius: 'default' //border radius
    ){
    
    // very basic btn with border
        
    $borderWidthDefault: 2px;  
    $borderRadiusDefault: 1px;  
        
    //// TRANSTION //// 
    @if($transition =='default'){
       @include transition01(.5s);
    }@else if($transition =='custom'){
  
    }@else if($transition =='none'){
          
    }@else{
       @include transition01($transition);
    }//if        
	//// END TRANSITION //// 

    //// FONT SIZE  //// 
    @if($fontSize == 'default'){
        font-size: inherit; 
    }@else {
        font-size: $fontSize +'px' !important; 
    }//@if               
    //// END FONT SIZE           
         
    ////  FONT WEIGHT CALC ////   
    @if($fontWeight == 'default'){
        //default: 400 / regular
        font-weight: 400 !important;
        
    }@else if($fontWeight == 100 ){
        // 100 / thin
        font-weight: 100 !important;
        
    }@else if($fontWeight == 300 ){
        // 300 / light
        font-weight: 300 !important;
        
    }@else if($fontWeight == 400 ){
        // 400 / regular
        font-weight: 400 !important;
        
    }@else if($fontWeight == 500 ){
        // 500 / medium
        font-weight: 500 !important; 
        
    }@else if($fontWeight == 600 ){
        // 600 / 
        font-weight: 600 !important; 
        
    }@else if($fontWeight == 700 ){
        // 700 / bold
        font-weight: 700 !important;   
        
    }@else if($fontWeight == 900 ){
        // 900 / black
        font-weight: 900 !important;        
                
    }@else {
        //default: 400 / regular 
        font-weight: 400 !important;
       
    }//@if  
    //// END FONT WEIGHT CALC ////     
        
    //// LETTER SPACING CALC ////
    @if($letterSpacing == 'default'){
 		// no letter spacing
        // letter-spacing: 0px !important 
        // letter-spacing: inherit !important; 
    }@else {
        // calculate letter spacing
        letter-spacing: $letterSpacing +'px' !important; 
    }//@if 
    //// END LETTER SPACING CALC ////     
        
    //// LINE HEIGHT CALC ////     
    @if($lineHeight == 'default'){
 		line-height: inherit !important;   
    }@else {
        // calculate line height
        line-height: $lineHeight !important; 
    }//@if  
    //// END LINE HEIGHT CALC ////         
        
     //// TEXT TRANSFORM SELECT ////   
     @if($textTransform == 'default'){
     //default
    }@else if($textTransform == 'uppercase' ){
        // uppercase
        text-transform: uppercase !important;        
    }@else if($textTransform == 'lowercase' ){
        // lowercase
        text-transform: lowercase !important;         
    }@else if($textTransform == 'capitalize' ){
        // capitalize
        text-transform: capitalize !important;          
    }@else {
        //default
    }//@if      
 	//// END TEXT TRANSFORM SELECT ////         

    //// BORDER WIDTH ////
    @if($borderWidth == 'default' ){ 
        $borderWidthFinal: $borderWidthDefault; 
    }@else{
        $borderWidthFinal: $borderWidth +'px'; 
    }//@if        
    //// END BORDER WIDTH ////          

    //// BORDER RADIUS ////
    @if($borderRadius == 'default' ){ 
        $borderRadiusFinal: $borderRadiusDefault; 
    }@else{
        $borderRadiusFinal: $borderRadius +'px'; 
    }//@if        
    //// END BORDER RADIUS ////            
        
    background: rgba($ci01, .0) !important; 
        
    border-radius: $borderRadiusFinal !important;     
    
    opacity: 1 !important; 
        
    color: $textDark01 !important;   
        @if($colorVersion == 'light'){ color: $textLight01 !important;  }
        @if($colorVersion == 'ci01'){  color: $ci01 !important;  }
        @if($colorVersion == 'ci02'){  color: $textLight01 !important;  }
        @if($colorVersion == 'ci03'){  color: $textDark01 !important;  }  

    border: $borderWidthFinal solid rgba($textDark01, 1) !important; 
        @if($colorVersion == 'light'){ border: $borderWidthFinal solid rgba($textLight01, 1) !important;}
        @if($colorVersion == 'ci01'){ border: $borderWidthFinal solid rgba($ci01, 1) !important;}  
        @if($colorVersion == 'ci02'){ border: $borderWidthFinal solid rgba($ci01, 1) !important;}
        @if($colorVersion == 'ci03'){ border: $borderWidthFinal solid rgba($ci01, 1) !important;}        
 
        
    &::before{
        all: unset !important;     
    }//before
    &::after{
        all: unset !important;     
    }//after          
        
    &:hover{
        //background: transparent !important; 
        background: rgba($ci01, .0) !important; 

        opacity: 1 !important; 
        
        color: $ci01 !important;
            @if($colorVersion == 'light'){ color: $ci01 !important; }
            @if($colorVersion == 'ci01'){ color: $ci01 !important; }
            @if($colorVersion == 'ci02'){ color: $ci01 !important; }
            @if($colorVersion == 'ci03'){ color: $ci01 !important; }
        
        border: $borderWidthFinal solid rgba($ci01, 1) !important;  
            @if($colorVersion == 'light'){ border: $borderWidthFinal solid rgba($ci01, 1) !important; }
            @if($colorVersion == 'ci01'){ border: $borderWidthFinal solid rgba($ci01, 1) !important; }    
            @if($colorVersion == 'ci02'){ border: $borderWidthFinal solid rgba($ci01, 1) !important; }
            @if($colorVersion == 'ci03'){ border: $borderWidthFinal solid rgba($ci01, 1) !important; }    
        
        
        &::before{
            all: unset !important;     
        }//before
        &::after{
            all: unset !important;     
        }//after          
        
    }//hover  

}//basicBtnStyle02
*/
/*
@mixin fancyBtnStyle04{
    

	// rounded btn with nice fill effect on hover
    
    display: inline-block !important;
    //font:normal normal 300 1.3em 'Open Sans';
    text-decoration: none !important;	

    color: rgba($ci01, 1) !important;
    brackground-color: transparent !important;
    border: 1px solid rgba($ci01, 1) !important;
    border-radius: 100px !important;

    padding: .3em 1.2em !important;
    margin: 5px !important;

    background-size: 200% 100% !important;	
    background-image: linear-gradient(to right, transparent 50%, rgba($ci01, 1) 50%) !important;
    transition: background-position .3s cubic-bezier(0.19, 1, 0.22, 1) .1s, color .5s ease 0s, background-color .5s ease !important;

    
    &::before{
        display: none !important; 
    }//before

    &::after{
        display: none !important; 
    }//after

    &:hover{
        color: rgba(255, 255, 255, 1) !important;
        background-color: rgba($ci01, 1) !important;
        background-position: -100% 100% !important;
    }//hover    


}//fancyBtnStyle04
*/
/*
@mixin inputStlyeBasci01{
    
    display: flex; 
    justify-content: center; 
    align-items: center;
    margin-top: 30px; 
    
 
     div{
        position: relative !important;    
        //cursor: pointer !important;
         
        input[type="submit"]{
    

            &:hover{

            }//hover  

 
        }//input

        .ajax-loader {
            // hide ugly loader
            display: none !important;
        }//ajax-loader                 

    }//div   
    
}//inputStlyeBasci01
*/
/*# sourceMappingURL=data:application/json,%7B%22version%22%3A3%2C%22sourceRoot%22%3A%22%2F%22%2C%22sources%22%3A%5B%22(stdin)%22%5D%2C%22names%22%3A%5B%5D%2C%22mappings%22%3A%22AAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3B%3BAAAA%3B%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%3B%3BAAAA%3BAAAA%3BAAAA%3BAAAA%22%7D */